> ## Documentation Index
> Fetch the complete documentation index at: https://readme.amana-dev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset info.

> Get the asset info for this asset.



## OpenAPI

````yaml /openapi-readme.json get /asset-info/{id}
openapi: 3.1.0
info:
  title: Amana API
  version: 1.0.0
  description: API documentation for Amana platform
servers:
  - url: https://gateway.amana.io
    description: Amana app
security: []
tags:
  - name: onboarding
    description: Endpoints related to user onboarding, KYC processes, and account setup.
  - name: auth
    description: Endpoints for user authentication, token management, and session handling.
  - name: trading
    description: >-
      Endpoints related to trading operations, account management, and market
      data retrieval.
  - name: charting
    description: >-
      Endpoints for retrieving historical price data, technical indicators, and
      other charting-related information.
  - name: uaepass
    description: Endpoints for UAE Pass authentication and identity verification.
  - name: alerts
  - name: cms
  - name: dw
  - name: events
  - name: geo-location
  - name: high-leverage
  - name: kyc
  - name: mt
  - name: nafath
  - name: payments
  - name: promo-codes
  - name: smart-money
  - name: support
  - name: symbols
  - name: trading-accounts
  - name: transactions
  - name: user
  - name: watchlists
paths:
  /asset-info/{id}:
    get:
      tags:
        - trading
      summary: Get asset info.
      description: Get the asset info for this asset.
      operationId: getAssetInfo
      parameters:
        - schema:
            type: string
          in: query
          name: lang
          required: false
          description: Language for the app.
        - schema:
            type: string
          in: path
          name: id
          required: true
          description: Symbol ID
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  about:
                    type: string
                  snapshot:
                    type: array
                    items:
                      type: object
                      properties:
                        displayText:
                          type: string
                        value:
                          type: string
                      required:
                        - displayText
                        - value
                      additionalProperties: false
                  price_target:
                    type: object
                    properties:
                      currentPrice:
                        type: number
                      targetLowPrice:
                        type: string
                      targetHighPrice:
                        type: string
                      targetMeanPrice:
                        type: string
                    additionalProperties: false
                  earnings:
                    type: object
                    properties:
                      forecast:
                        type: array
                        items:
                          anyOf:
                            - type: number
                            - type: 'null'
                      actualInc:
                        type: array
                        items:
                          anyOf:
                            - type: number
                            - type: 'null'
                      actualDec:
                        type: array
                        items:
                          anyOf:
                            - type: number
                            - type: 'null'
                      q:
                        type: array
                        items:
                          type: string
                    required:
                      - forecast
                      - actualInc
                      - actualDec
                      - q
                    additionalProperties: false
                  analyst_ratings:
                    type: object
                    properties:
                      buy:
                        type: number
                      hold:
                        type: number
                      sell:
                        type: number
                      strongBuy:
                        type: number
                      strongSell:
                        type: number
                      recommended:
                        type: string
                    required:
                      - buy
                      - hold
                      - sell
                      - strongBuy
                      - strongSell
                      - recommended
                    additionalProperties: false
                required:
                  - about
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.